## pybluez 0.23

=== docs/Makefile ===
## Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Requests.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Requests.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Requests"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Requests"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
sphinx
recommonmark
sphinx_rtd_theme
easydev

## pybluez 0.18-1maemo1

=== debian/changelog ===
pybluez (0.18-1maemo1) unstable; urgency=low

  * Maemo release based on 0.18-1
  * Fixed dependencies (libbluetooth3-dev)

 -- Lauro Neto <lauro.neto@openbossa.org>  Tue, 11 May 2010 16:28:55 -0300

pybluez (0.18-1) unstable; urgency=low

  [ Albert Huang ]
  * New upstream release

  [ Filippo Giunchedi ]
  * Add ${misc:Depends} to Depends of python-bluez for debhelper

 -- Filippo Giunchedi <filippo@debian.org>  Wed, 06 Jan 2010 09:48:48 +0100

pybluez (0.17-1) unstable; urgency=low

  [ Albert Huang ]
  * New upstream release (Closes: #533719)
  * Update to s-v 3.8.3, no changes required

  [ Filippo Giunchedi ]
  * change vcs- fields to point to trunk
  * remove debian uupdate from watchfile, useless with svn

 -- Filippo Giunchedi <filippo@debian.org>  Mon, 19 Oct 2009 20:31:17 +0100

pybluez (0.16-1) unstable; urgency=low

  [ Albert Huang ]
  * New upstream release
  * fix debian/copyright to indicate GPL >= 2 instead of GPL == 2

  [ Filippo Giunchedi ]
  * Update to s-v 3.8.0, no changes required

 -- Filippo Giunchedi <filippo@debian.org>  Mon, 16 Feb 2009 20:33:40 +0100

pybluez (0.15-1) unstable; urgency=low

  [ Albert Huang ]
  * New upstream release

  [ Filippo Giunchedi ]
  * Fix spelling python -> Python
  * Update to s-v 3.7.3, no changes required

 -- Filippo Giunchedi <filippo@debian.org>  Sun, 10 Feb 2008 11:25:59 +0100

pybluez (0.14-1) unstable; urgency=low

  [ Albert Huang ]
  * New upstream release (closes: #446122)

  [ Filippo Giunchedi ]
  * Changed VCS-{Svn,Browser} fields plus Homepage added 

 -- Filippo Giunchedi <filippo@debian.org>  Wed, 21 Nov 2007 19:11:32 +0100

pybluez (0.13-1) unstable; urgency=low

  * New upstream release 
  * add vcs field to control

 -- Filippo Giunchedi <filippo@debian.org>  Wed, 10 Oct 2007 21:49:53 +0200

pybluez (0.9.2-1) unstable; urgency=low

  [ Albert Huang ]
  * New upstream release

  [ Filippo Giunchedi ]
  * Complete libbluetooth2-dev -> libbluetooth-dev transition
  * Correct Maintainers name

 -- Filippo Giunchedi <filippo@debian.org>  Sat, 04 Aug 2007 09:22:55 +0200

pybluez (0.9.1-1) unstable; urgency=high

  [ Albert Huang ]
  * New upstream release

  [ Filippo Giunchedi ]
  * this new release (closes: #392183, #392199, FTBFS/RC thus urgency=high) 

 -- Filippo Giunchedi <filippo@debian.org>  Wed, 11 Oct 2006 11:44:21 +0200

pybluez (0.9-1) unstable; urgency=low

  * New upstream release

 -- Albert Huang <albert@csail.mit.edu>  Sat,  9 Sep 2006 13:41:27 -0400

pybluez (0.7.1-3) unstable; urgency=low

  * build-depend on python-central and move dh_pycentral before dh_python call
  * oops, forgot ${shlibs:Depends}
  * get replaces/conflicts right  (Closes: #376314) 

 -- Filippo Giunchedi <filippo@debian.org>  Sun,  2 Jul 2006 14:22:47 +0200

pybluez (0.7.1-2) unstable; urgency=low

  * migration to new python policy, I hope to have got this right!
    (Closes: #373485) 
  * build-depend on libbluetooth-dev not libbluetooth1-dev

 -- Filippo Giunchedi <filippo@debian.org>  Thu, 15 Jun 2006 15:37:57 +0200

pybluez (0.7.1-1) unstable; urgency=low

  * New upstream release

 -- Albert Huang <albert@csail.mit.edu>  Fri, 26 May 2006 16:19:56 -0400

pybluez (0.6.1-2) unstable; urgency=low

  * wow! this closes the python-bluetooth ITP (Closes: #349705) 
  * use virtual packages to comply with python policy, thus python{,2.x}-bluez
    provides/conflicts python{,2.x}-bluetooth

 -- Filippo Giunchedi <filippo@debian.org>  Tue, 28 Feb 2006 12:29:28 +0100

pybluez (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Albert Huang <albert@csail.mit.edu>  Fri, 24 Feb 2006 15:50:45 -0500

pybluez (0.6-1) UNRELEASED; urgency=low

  * New upstream release

 -- Albert Huang <albert@csail.mit.edu>  Sat, 18 Feb 2006 15:54:10 -0500

pybluez (0.5-1) UNRELEASED; urgency=low

  * New upstream release

 -- Albert Huang <albert@csail.mit.edu>  Fri, 16 Dec 2005 16:57:58 -0500

pybluez (0.4-1) unstable; urgency=low

  * new upstream release.

 -- Albert Huang <albert@csail.mit.edu>  Wed,  9 Nov 2005 14:14:13 -0500

pybluez (0.3-4) unstable; urgency=low

  * making the package debian-compliant.

 -- Albert Huang <albert@csail.mit.edu>  Fri,  4 Nov 2005 01:01:52 -0500

pybluez (0.3-3) unstable; urgency=low

  * fixed dependency error (depended on python-2.4 instead of python2.4)

 -- Albert Huang <albert@csail.mit.edu>  Thu, 27 Oct 2005 12:48:00 -0400

pybluez (0.3-2) unstable; urgency=low

  * reduced dependency versions so that package will install on sarge

 -- Albert Huang <albert@csail.mit.edu>  Fri, 23 Sep 2005 00:18:00 -0400

pybluez (0.3-1) unstable; urgency=low

  * new upstream versoin

 -- Albert Huang <albert@csail.mit.edu>  Tue, 20 Sep 2005 19:18:00 -0400

pybluez (0.2-1) unstable; urgency=low

  * Initial Release.
  * My first debian package.

 -- Albert Huang <albert@csail.mit.edu>  Mon,  4 Apr 2005 01:22:15 -0400

=== debian/control ===
Source: pybluez
Section: python
Priority: optional
Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
XSBC-Original-Maintainer: Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5.0.37.2), python (>= 2.3.5-6), python-all-dev (>= 2.3.5-11), libbluetooth3-dev, python-central (>= 0.4.17)
Vcs-Svn: svn://svn.debian.org/pkg-bluetooth/packages/pybluez/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-bluetooth/packages/pybluez/trunk
Homepage: http://pybluez.googlecode.com
Standards-Version: 3.8.3
XS-Python-Version: all

Package: python-bluez
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: python-bluetooth, ${python:Provides}
Conflicts: python-bluetooth, python2.3-bluez (<< 0.7.1-3), python2.4-bluez (<< 0.7.1-3)
Replaces: python2.3-bluez (<< 0.7.1-3), python2.4-bluez (<< 0.7.1-3)
XB-Python-Version: ${python:Versions}
Description: Python wrappers around BlueZ for rapid bluetooth development
 PyBluez is an effort to create Python wrappers around BlueZ to allow Python
 developers to use system bluetooth resources. PyBluez works on machines
 running the GNU/Linux operating system and the bluez bluetooth stack.
 .
 This package provides the "bluetooth" Python module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS=$(shell pyversions -r debian/control)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

PY_BUILD_FLAGS += --debug

build: build-stamp

build-stamp:
	dh_testdir
	for python in $(PYVERS); do \
	  $$python setup.py build; \
	done
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp

	for python in $(PYVERS); do \
	  $$python setup.py clean; \
	done

	rm -rf build
	dh_clean 

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installexamples -XCVS -Xafs
	dh_installman

	for python in $(PYVERS); do \
	  $$python setup.py install --root=debian/python-bluez; \
	done

	dh_installdocs
	dh_strip
	dh_compress
	dh_fixperms
	dh_pycentral
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://code.google.com/p/pybluez/downloads/list http://pybluez.googlecode.com/files/PyBluez-(.*)\.tar\.gz

## pybluez 0.22+really0.22

=== debian/changelog ===
pybluez (0.22+really0.22-1build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:21:30 +0100

pybluez (0.22+really0.22-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:09:14 +0000

pybluez (0.22+really0.22-1) unstable; urgency=medium

  * Team upload.
  [ Nobuhiro Iwamatsu ]
  * Bump Standards-Version to 4.2.1.

  [ Diane Trout ]
  * Update the source to 0.22 For some reason the upstream source was
    never updated from 0.18 even though the Debian version number
    incremented. (Closes: #839100)
  * Remove duplicated Maintainer: tag
  * Update debhelper compat to version 11
  * Use pybuild to build the package
  * Build for Python 3. (Closes: #787850)
  * Fix hardening-no-bindnow warning by enabling hardening flags
  * Drop archaic Python 2 minimum version (2.6.6-3~)
  * Convert debian/copyright to machine parsable format
  * Add 3.0 (quilt) debian/source/format
  * Add minimal autopkgtest test

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 13 Sep 2018 07:23:23 +0900

pybluez (0.22-2) unstable; urgency=medium

  * Team upload.
  * Change maintainer address. (Closes: #899952)
  * Update Vcs-Git and Vcs-Browser.
  * Update Standards-Version to 4.1.5.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 21 Aug 2018 17:16:43 +0900

pybluez (0.22-1) unstable; urgency=medium

  * Team upload.
  [ Nobuhiro Iwamatsu ]
  * Update to 0.22.
  * Update Homepage field. (Closes: #787851)
  * Update watch file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 08 Dec 2015 23:56:39 +0900

pybluez (0.20-1) unstable; urgency=medium

  * Team upload.
  [ Nobuhiro Iwamatsu ]
  * New upstream release.
  * Update to s-v 3.9.5, no changes required

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 12 Jun 2014 11:45:19 +0900

pybluez (0.18-2) unstable; urgency=low

  * Team upload.
  [ Nobuhiro Iwamatsu ]
  * Update to s-v 3.9.3, no changes required
  * Added build-arch and build-indep targets to debian/rules.

  [ Arthur de Jong ]
  * Moved packaging from python-central to dh_python2 (Closes: #616958).
  * Drop Conflicts/Replaces on ancient versions which never shipped in a
    stable release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 08 Mar 2012 13:25:07 +0900

=== debian/control ===
Source: pybluez
Section: python
Priority: optional
Maintainer: Debian Bluetooth Maintainers <team+pkg-bluetooth@tracker.debian.org>
Uploaders: Albert Huang <albert@csail.mit.edu>
Build-Depends: debhelper (>= 11), python-all-dev, libbluetooth-dev,
 dh-python,
 dpkg-dev (>= 1.16.1~),
 python3-all-dev,
 python3-setuptools,
 python-setuptools,
Vcs-Git: https://salsa.debian.org/bluetooth-team/pybluez.git
Vcs-Browser: https://salsa.debian.org/bluetooth-team/pybluez
Homepage: https://karulis.github.io/pybluez/
Standards-Version: 4.2.1

Package: python-bluez
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: python-bluetooth, ${python:Provides}
Description: Python 2 wrappers around BlueZ for rapid bluetooth development
 PyBluez is an effort to create Python wrappers around BlueZ to allow Python
 developers to use system bluetooth resources. PyBluez works on machines
 running the GNU/Linux operating system and the bluez bluetooth stack.
 .
 This package provides the "bluetooth" Python 2 module.

Package: python3-bluez
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: python3-bluetooth, ${python3:Provides}
Description: Python 3 wrappers around BlueZ for rapid bluetooth development
 PyBluez is an effort to create Python wrappers around BlueZ to allow Python
 developers to use system bluetooth resources. PyBluez works on machines
 running the GNU/Linux operating system and the bluez bluetooth stack.
 .
 This package provides the "bluetooth" Python 3 module.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
https://github.com/karulis/pybluez/tags .*/v?(\d\S*)\.tar\.gz

## pybluez 0.23

=== debian/changelog ===
pybluez (0.23-5.1build6) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:35:33 +0000

pybluez (0.23-5.1build5) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:46:21 +0000

pybluez (0.23-5.1build4) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:02:57 +0100

pybluez (0.23-5.1build3) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:16:37 +0000

pybluez (0.23-5.1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:14:28 +0000

pybluez (0.23-5.1build1) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 19:23:27 -0500

pybluez (0.23-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Python 3.11 support. (Closes: #1023907)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 16 Nov 2022 19:19:13 +0200

pybluez (0.23-5) unstable; urgency=medium

  * Team upload.
  * Fix Compatibility with 3.10. (Closes: #1010977)
    - Add d/patches/Use-Py_ssize_t-when-parsing-buffer-length-fix-426-42.patch
  * Update d/copyright:
    - Fix superfluous-file-pattern.
    - Add myself's copyright.
  * Update d/changelog
    - Remove empty line.
  * Update d/control
    - Use debhelper-compat instead of debhelper, and update to 13.
    - Bump Standards-Version to 4.6.0.1
    - Add 'Rules-Requires-Root: no'
  * Update d/watch
    - Update to v4.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 28 May 2022 14:01:31 +0900

pybluez (0.23-4) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS error in PyBluez setup command (Closes: #997640)
    - Add d/patches/Removed-2to3-command.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 09 Nov 2021 08:42:15 +0900

pybluez (0.23-3) unstable; urgency=medium

  * Add python3-gattlib to Depends. (Closes: #930990)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 09 Feb 2021 16:17:00 +0900

pybluez (0.23-2) unstable; urgency=medium

  * Team upload.
  [ Nobuhiro Iwamatsu ]
  * Remove autopkgtest for python2. (Closes: #937394)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 23 Dec 2020 16:44:40 +0900

pybluez (0.23-1) unstable; urgency=medium

  * Team upload.
  [ Nobuhiro Iwamatsu ]
  * New upstream release (0.23).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 29 Mar 2020 07:59:24 +0900

pybluez (0.22+really0.22-2) experimental; urgency=medium

  * Remove Python2 support (Closes: #937394)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 18 Oct 2019 16:59:51 +0900

=== debian/control ===
Source: pybluez
Section: python
Priority: optional
Maintainer: Debian Bluetooth Maintainers <team+pkg-bluetooth@tracker.debian.org>
Uploaders: Albert Huang <albert@csail.mit.edu>
Build-Depends: debhelper-compat (= 13),
 dpkg-dev (>= 1.16.1~),
 libbluetooth-dev,
 dh-python,
 python3-all-dev,
 python3-setuptools,
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/bluetooth-team/pybluez.git
Vcs-Browser: https://salsa.debian.org/bluetooth-team/pybluez
Homepage: https://github.com/pybluez/pybluez
Standards-Version: 4.6.0.1

Package: python3-bluez
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-gattlib
Provides: python3-bluetooth, ${python3:Provides}
Description: Python 3 wrappers around BlueZ for rapid bluetooth development
 PyBluez is an effort to create Python wrappers around BlueZ to allow Python
 developers to use system bluetooth resources. PyBluez works on machines
 running the GNU/Linux operating system and the bluez bluetooth stack.
 .
 This package provides the "bluetooth" Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=bluez

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILD_FLAGS=1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	-rm -rf PyBluez.egg*
	dh_auto_clean

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -c "import bluetooth; print(bluetooth)"
 ; done
Depends: python3-all, python3-bluez

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/pybluez/pybluez/tags .*/v?(\d\S*)\.tar\.gz debian
